aagc.vo

## Class AccessoDomiciliareRequest

- java.lang.Object
- - aagc.vo.AccessoDomiciliareRequest

-     public class AccessoDomiciliareRequest
      extends java.lang.Object

  Classe Java per accessoDomiciliareRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="accessoDomiciliareRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="dataAccesso">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="oraFine" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(([0-1][0-9]|[2][0-3]):([0-5][0-9]))?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="oraInizio" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(([0-1][0-9]|[2][0-3]):([0-5][0-9]))?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceCategoriaOperatore">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="3"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="numQta">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="1"/>
                     <pattern value="[1]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descrizioniNote" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="250"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="flagFestivoPrefestivo">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="1"/>
                     <pattern value="[0-1]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceErogatore">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="numKmPercorsi" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="6"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="identificativoPianoAssistenziale" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="identificativoIntervento" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="incaricoAmbulatoriale" type="{http://www.nsisr.puglia.it/Schemas/}incaricoProfessionistaAmbulatorialeRequest" minOccurs="0"/>
               <element name="incaricoContinuitaAssistenziale" type="{http://www.nsisr.puglia.it/Schemas/}incaricoContinuitaAssistenzialeRequest" minOccurs="0"/>
               <element name="elencoPrestazioni">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="prestazione" maxOccurs="unbounded">
                           <simpleType>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                               <maxInclusive value="999999999"/>
                               <minInclusive value="1"/>
                             </restriction>
                           </simpleType>
                         </element>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="tipologiaErogatore" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="2"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceFiscaleOperatoreDelegato" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="16"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="cognomeOperatoreDelegato" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="80"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="nomeOperatoreDelegato" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="80"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AccessoDomiciliareRequest.ElencoPrestazioni` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceCategoriaOperatore`
    `protected java.lang.String` | `codiceErogatore`
    `protected java.lang.String` | `codiceFiscaleOperatoreDelegato`
    `protected java.lang.String` | `cognomeOperatoreDelegato`
    `protected java.lang.String` | `dataAccesso`
    `protected java.lang.String` | `descrizioniNote`
    `protected AccessoDomiciliareRequest.ElencoPrestazioni` | `elencoPrestazioni`
    `protected java.lang.String` | `flagFestivoPrefestivo`
    `protected java.lang.String` | `identificativoIntervento`
    `protected java.lang.String` | `identificativoPianoAssistenziale`
    `protected IncaricoProfessionistaAmbulatorialeRequest` | `incaricoAmbulatoriale`
    `protected IncaricoContinuitaAssistenzialeRequest` | `incaricoContinuitaAssistenziale`
    `protected java.lang.String` | `nomeOperatoreDelegato`
    `protected java.lang.String` | `numKmPercorsi`
    `protected java.lang.String` | `numQta`
    `protected java.lang.String` | `oraFine`
    `protected java.lang.String` | `oraInizio`
    `protected java.lang.String` | `tipologiaErogatore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessoDomiciliareRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceCategoriaOperatore()` Recupera il valore della proprietà codiceCategoriaOperatore.
    `java.lang.String` | `getCodiceErogatore()` Recupera il valore della proprietà codiceErogatore.
    `java.lang.String` | `getCodiceFiscaleOperatoreDelegato()` Recupera il valore della proprietà codiceFiscaleOperatoreDelegato.
    `java.lang.String` | `getCognomeOperatoreDelegato()` Recupera il valore della proprietà cognomeOperatoreDelegato.
    `java.lang.String` | `getDataAccesso()` Recupera il valore della proprietà dataAccesso.
    `java.lang.String` | `getDescrizioniNote()` Recupera il valore della proprietà descrizioniNote.
    `AccessoDomiciliareRequest.ElencoPrestazioni` | `getElencoPrestazioni()` Recupera il valore della proprietà elencoPrestazioni.
    `java.lang.String` | `getFlagFestivoPrefestivo()` Recupera il valore della proprietà flagFestivoPrefestivo.
    `java.lang.String` | `getIdentificativoIntervento()` Recupera il valore della proprietà identificativoIntervento.
    `java.lang.String` | `getIdentificativoPianoAssistenziale()` Recupera il valore della proprietà identificativoPianoAssistenziale.
    `IncaricoProfessionistaAmbulatorialeRequest` | `getIncaricoAmbulatoriale()` Recupera il valore della proprietà incaricoAmbulatoriale.
    `IncaricoContinuitaAssistenzialeRequest` | `getIncaricoContinuitaAssistenziale()` Recupera il valore della proprietà incaricoContinuitaAssistenziale.
    `java.lang.String` | `getNomeOperatoreDelegato()` Recupera il valore della proprietà nomeOperatoreDelegato.
    `java.lang.String` | `getNumKmPercorsi()` Recupera il valore della proprietà numKmPercorsi.
    `java.lang.String` | `getNumQta()` Recupera il valore della proprietà numQta.
    `java.lang.String` | `getOraFine()` Recupera il valore della proprietà oraFine.
    `java.lang.String` | `getOraInizio()` Recupera il valore della proprietà oraInizio.
    `java.lang.String` | `getTipologiaErogatore()` Recupera il valore della proprietà tipologiaErogatore.
    `void` | `setCodiceCategoriaOperatore(java.lang.String value)` Imposta il valore della proprietà codiceCategoriaOperatore.
    `void` | `setCodiceErogatore(java.lang.String value)` Imposta il valore della proprietà codiceErogatore.
    `void` | `setCodiceFiscaleOperatoreDelegato(java.lang.String value)` Imposta il valore della proprietà codiceFiscaleOperatoreDelegato.
    `void` | `setCognomeOperatoreDelegato(java.lang.String value)` Imposta il valore della proprietà cognomeOperatoreDelegato.
    `void` | `setDataAccesso(java.lang.String value)` Imposta il valore della proprietà dataAccesso.
    `void` | `setDescrizioniNote(java.lang.String value)` Imposta il valore della proprietà descrizioniNote.
    `void` | `setElencoPrestazioni(AccessoDomiciliareRequest.ElencoPrestazioni value)` Imposta il valore della proprietà elencoPrestazioni.
    `void` | `setFlagFestivoPrefestivo(java.lang.String value)` Imposta il valore della proprietà flagFestivoPrefestivo.
    `void` | `setIdentificativoIntervento(java.lang.String value)` Imposta il valore della proprietà identificativoIntervento.
    `void` | `setIdentificativoPianoAssistenziale(java.lang.String value)` Imposta il valore della proprietà identificativoPianoAssistenziale.
    `void` | `setIncaricoAmbulatoriale(IncaricoProfessionistaAmbulatorialeRequest value)` Imposta il valore della proprietà incaricoAmbulatoriale.
    `void` | `setIncaricoContinuitaAssistenziale(IncaricoContinuitaAssistenzialeRequest value)` Imposta il valore della proprietà incaricoContinuitaAssistenziale.
    `void` | `setNomeOperatoreDelegato(java.lang.String value)` Imposta il valore della proprietà nomeOperatoreDelegato.
    `void` | `setNumKmPercorsi(java.lang.String value)` Imposta il valore della proprietà numKmPercorsi.
    `void` | `setNumQta(java.lang.String value)` Imposta il valore della proprietà numQta.
    `void` | `setOraFine(java.lang.String value)` Imposta il valore della proprietà oraFine.
    `void` | `setOraInizio(java.lang.String value)` Imposta il valore della proprietà oraInizio.
    `void` | `setTipologiaErogatore(java.lang.String value)` Imposta il valore della proprietà tipologiaErogatore.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataAccesso

          protected java.lang.String dataAccesso

    - #### oraFine

          protected java.lang.String oraFine

    - #### oraInizio

          protected java.lang.String oraInizio

    - #### codiceCategoriaOperatore

          protected java.lang.String codiceCategoriaOperatore

    - #### numQta

          protected java.lang.String numQta

    - #### descrizioniNote

          protected java.lang.String descrizioniNote

    - #### flagFestivoPrefestivo

          protected java.lang.String flagFestivoPrefestivo

    - #### codiceErogatore

          protected java.lang.String codiceErogatore

    - #### numKmPercorsi

          protected java.lang.String numKmPercorsi

    - #### identificativoPianoAssistenziale

          protected java.lang.String identificativoPianoAssistenziale

    - #### identificativoIntervento

          protected java.lang.String identificativoIntervento

    - #### incaricoAmbulatoriale

          protected IncaricoProfessionistaAmbulatorialeRequest incaricoAmbulatoriale

    - #### incaricoContinuitaAssistenziale

          protected IncaricoContinuitaAssistenzialeRequest incaricoContinuitaAssistenziale

    - #### elencoPrestazioni

          protected AccessoDomiciliareRequest.ElencoPrestazioni elencoPrestazioni

    - #### tipologiaErogatore

          protected java.lang.String tipologiaErogatore

    - #### codiceFiscaleOperatoreDelegato

          protected java.lang.String codiceFiscaleOperatoreDelegato

    - #### cognomeOperatoreDelegato

          protected java.lang.String cognomeOperatoreDelegato

    - #### nomeOperatoreDelegato

          protected java.lang.String nomeOperatoreDelegato

  - ### Constructor Detail

    - #### AccessoDomiciliareRequest

          public AccessoDomiciliareRequest()

  - ### Method Detail

    - #### getDataAccesso

          public java.lang.String getDataAccesso()

      Recupera il valore della proprietà dataAccesso.
      Returns:
        possible object is `String`

    - #### setDataAccesso

          public void setDataAccesso(java.lang.String value)

      Imposta il valore della proprietà dataAccesso.
      Parameters:
        `value` - allowed object is `String`

    - #### getOraFine

          public java.lang.String getOraFine()

      Recupera il valore della proprietà oraFine.
      Returns:
        possible object is `String`

    - #### setOraFine

          public void setOraFine(java.lang.String value)

      Imposta il valore della proprietà oraFine.
      Parameters:
        `value` - allowed object is `String`

    - #### getOraInizio

          public java.lang.String getOraInizio()

      Recupera il valore della proprietà oraInizio.
      Returns:
        possible object is `String`

    - #### setOraInizio

          public void setOraInizio(java.lang.String value)

      Imposta il valore della proprietà oraInizio.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceCategoriaOperatore

          public java.lang.String getCodiceCategoriaOperatore()

      Recupera il valore della proprietà codiceCategoriaOperatore.
      Returns:
        possible object is `String`

    - #### setCodiceCategoriaOperatore

          public void setCodiceCategoriaOperatore(java.lang.String value)

      Imposta il valore della proprietà codiceCategoriaOperatore.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumQta

          public java.lang.String getNumQta()

      Recupera il valore della proprietà numQta.
      Returns:
        possible object is `String`

    - #### setNumQta

          public void setNumQta(java.lang.String value)

      Imposta il valore della proprietà numQta.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescrizioniNote

          public java.lang.String getDescrizioniNote()

      Recupera il valore della proprietà descrizioniNote.
      Returns:
        possible object is `String`

    - #### setDescrizioniNote

          public void setDescrizioniNote(java.lang.String value)

      Imposta il valore della proprietà descrizioniNote.
      Parameters:
        `value` - allowed object is `String`

    - #### getFlagFestivoPrefestivo

          public java.lang.String getFlagFestivoPrefestivo()

      Recupera il valore della proprietà flagFestivoPrefestivo.
      Returns:
        possible object is `String`

    - #### setFlagFestivoPrefestivo

          public void setFlagFestivoPrefestivo(java.lang.String value)

      Imposta il valore della proprietà flagFestivoPrefestivo.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceErogatore

          public java.lang.String getCodiceErogatore()

      Recupera il valore della proprietà codiceErogatore.
      Returns:
        possible object is `String`

    - #### setCodiceErogatore

          public void setCodiceErogatore(java.lang.String value)

      Imposta il valore della proprietà codiceErogatore.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumKmPercorsi

          public java.lang.String getNumKmPercorsi()

      Recupera il valore della proprietà numKmPercorsi.
      Returns:
        possible object is `String`

    - #### setNumKmPercorsi

          public void setNumKmPercorsi(java.lang.String value)

      Imposta il valore della proprietà numKmPercorsi.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdentificativoPianoAssistenziale

          public java.lang.String getIdentificativoPianoAssistenziale()

      Recupera il valore della proprietà identificativoPianoAssistenziale.
      Returns:
        possible object is `String`

    - #### setIdentificativoPianoAssistenziale

          public void setIdentificativoPianoAssistenziale(java.lang.String value)

      Imposta il valore della proprietà identificativoPianoAssistenziale.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdentificativoIntervento

          public java.lang.String getIdentificativoIntervento()

      Recupera il valore della proprietà identificativoIntervento.
      Returns:
        possible object is `String`

    - #### setIdentificativoIntervento

          public void setIdentificativoIntervento(java.lang.String value)

      Imposta il valore della proprietà identificativoIntervento.
      Parameters:
        `value` - allowed object is `String`

    - #### getIncaricoAmbulatoriale

          public IncaricoProfessionistaAmbulatorialeRequest getIncaricoAmbulatoriale()

      Recupera il valore della proprietà incaricoAmbulatoriale.
      Returns:
        possible object is `IncaricoProfessionistaAmbulatorialeRequest`

    - #### setIncaricoAmbulatoriale

          public void setIncaricoAmbulatoriale(IncaricoProfessionistaAmbulatorialeRequest value)

      Imposta il valore della proprietà incaricoAmbulatoriale.
      Parameters:
        `value` - allowed object is `IncaricoProfessionistaAmbulatorialeRequest`

    - #### getIncaricoContinuitaAssistenziale

          public IncaricoContinuitaAssistenzialeRequest getIncaricoContinuitaAssistenziale()

      Recupera il valore della proprietà incaricoContinuitaAssistenziale.
      Returns:
        possible object is `IncaricoContinuitaAssistenzialeRequest`

    - #### setIncaricoContinuitaAssistenziale

          public void setIncaricoContinuitaAssistenziale(IncaricoContinuitaAssistenzialeRequest value)

      Imposta il valore della proprietà incaricoContinuitaAssistenziale.
      Parameters:
        `value` - allowed object is `IncaricoContinuitaAssistenzialeRequest`

    - #### getElencoPrestazioni

          public AccessoDomiciliareRequest.ElencoPrestazioni getElencoPrestazioni()

      Recupera il valore della proprietà elencoPrestazioni.
      Returns:
        possible object is `AccessoDomiciliareRequest.ElencoPrestazioni`

    - #### setElencoPrestazioni

          public void setElencoPrestazioni(AccessoDomiciliareRequest.ElencoPrestazioni value)

      Imposta il valore della proprietà elencoPrestazioni.
      Parameters:
        `value` - allowed object is `AccessoDomiciliareRequest.ElencoPrestazioni`

    - #### getTipologiaErogatore

          public java.lang.String getTipologiaErogatore()

      Recupera il valore della proprietà tipologiaErogatore.
      Returns:
        possible object is `String`

    - #### setTipologiaErogatore

          public void setTipologiaErogatore(java.lang.String value)

      Imposta il valore della proprietà tipologiaErogatore.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceFiscaleOperatoreDelegato

          public java.lang.String getCodiceFiscaleOperatoreDelegato()

      Recupera il valore della proprietà codiceFiscaleOperatoreDelegato.
      Returns:
        possible object is `String`

    - #### setCodiceFiscaleOperatoreDelegato

          public void setCodiceFiscaleOperatoreDelegato(java.lang.String value)

      Imposta il valore della proprietà codiceFiscaleOperatoreDelegato.
      Parameters:
        `value` - allowed object is `String`

    - #### getCognomeOperatoreDelegato

          public java.lang.String getCognomeOperatoreDelegato()

      Recupera il valore della proprietà cognomeOperatoreDelegato.
      Returns:
        possible object is `String`

    - #### setCognomeOperatoreDelegato

          public void setCognomeOperatoreDelegato(java.lang.String value)

      Imposta il valore della proprietà cognomeOperatoreDelegato.
      Parameters:
        `value` - allowed object is `String`

    - #### getNomeOperatoreDelegato

          public java.lang.String getNomeOperatoreDelegato()

      Recupera il valore della proprietà nomeOperatoreDelegato.
      Returns:
        possible object is `String`

    - #### setNomeOperatoreDelegato

          public void setNomeOperatoreDelegato(java.lang.String value)

      Imposta il valore della proprietà nomeOperatoreDelegato.
      Parameters:
        `value` - allowed object is `String`